# Retrieve Tariff's configuration
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-tariff-config/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving tariff data for a specified contract (account contract or card contract) stored in the CMS.

Note: In this test case, the response is limited to one record but you can enter a different value (up to 15) in the `limit` and `offset` query parameters in the request to test the pagination. **Sample request**

<br />

`GET /contracts/70001/tariff-data?tariff_code=MTP_CALC_RULE&tariff_role=AGEING&tariff_type_code=MTP_CALC_RULE&personalisation_type=G&tariff_domain_code=GL&limit=1&offset=0`

**Sample response**

`200`

```JSON
{
    "count": 1,
    "limit": 1,
    "offset": 0,
    "total": 15,
    "contractTariffs": [
        {
            "applyMode": "D",
            "activeTariffDataId": 17960,
            "baseAmount": 765,
            "contractId": 70001,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "domainFrom": "P",
            "domainLevel": 14,
            "domainName": "INB Acc general tariffs",
            "duePeriod": 12,
            "feeRateValue": 1223311,
            "fxRateType": "B",
            "generalLedgerNumber": "110101",
            "generalLedgerNumberName": "Accounts receivables - households-110101",
            "globalTariffId": 7564,
            "gracePeriod": 5634,
            "minCount": 43,
            "maxCount": 34,
            "maxAmount": 8444,
            "minAmount": 6543,
            "personalisationType": "G",
            "personalTariffId": 8112,
            "rateValue": 433111,
            "singleAmount": 7444312,
            "startDate": "2021-06-25",
            "tariffCode": "MTP_CALC_RULE",
            "tariffDomainId": 11460,
            "tariffDomainCode": "GL",
            "tariffId": 16270,
            "tariffName": "INB MTP Calculation Rule 1",
            "tariffRole": "AGEING",
            "tariffStartDate": "2021-06-25",
            "tariffTypeCode": "MTP_CALC_RULE",
            "tariffTypeName": "BCC MTP Calculation Rule",
            "tariffValue": "Zero tariff",
            "volumeBased": "Y"
        }
    ]
}
```

## Test case -- Success -- No Tariffs {#test-case--success--no-tariffs}

This test case describes retrieving tariff data for a specified contract (account contract or card contract) that does not have any tariff configured in the CMS.

For this test case, use the following information in the request:

| Path parameter | Available value |
|----------------|-----------------|
| `contract_id`  | 45001           |

**Sample request**

`GET /contracts/45001/tariff-data`

**Sample response**

`200`

```JSON
{
  "count": 0,
  "offset": 0,
  "limit": 1,
  "total": 0,
  "contractTariffs": []
}
```

